let posts = [
    {
        title: 'Кинопоказ «Спасти Ленинград»',
        text: '20 января в Канском технологическом колледже провели кинопоказ в рамках проведения ряда мероприятий, посвящённых 80-летию снятия блокады Ленинграда. Студентам было предложено посмотреть художественный фильм Алексея Козлова «Спасти Ленинград» (2019 года).\n' +
            'В основе сюжета лежит реальная история гибели баржи № 752, произошедшая 17 сентября 1941 года. В ту ночь в ходе эвакуации людей из блокадного Ленинграда баржа дала течь, а вслед за тем подверглась немецкому авианалёту и затонула в Ладожском озере, унеся жизни более тысячи человек. В ту же самую ночь погибло 460 человек на барже, буксировавшейся канонерской лодкой «Селемджа», которая перевозила воинское пополнение в Ленинград. ',
        img: '4.jpg',
        date: '20.01.2023'
    },
    {
        title: 'РОБОСИБ 2023',
        text: '19-20 января в г. Иркутск состоялся главный сибирский технологический фестиваль «РобоСиб-2023». В этом году на фестиваль съехались более 700 участников в составе 86 команд, представляющих разные регионы России. Фестиваль стал уже традиционной площадкой для получения новых знаний и обмена опытом юных роботостроителей и талантливой молодежи, а его целью является популяризация и повышение инженерных и технических профессий среди молодежи.\n' +
            'Наш колледж на этом фестивале представляла команда студентов занимающихся робототехникой в составе: Кравцов Даниил, Баранов Дмитрий, Шпаковский Иван, Собко Олег под руководством тренеров Надымова Александра Васильевича и Безбородова Максима Васильевича. Для этого участники команды с сентября 2022 года приступили к разработке и программированию робота, способного выполнить конкурсное задание.\n' +
            'По итогам квалификационного испытания, наша команда стала первой и с уверенностью вышла в полуфинал, а в финале, уступив команде из Брастка, заняла 2 место. По итогам фестиваля, команда колледжа обеспечила себе путевку на Всероссийские соревнования, которые состоятся в апреле в Екатеринбурге.\n' +
            'Поздравляем ребят с победой и желаем удачи на Всероссийских соревнованиях!',
        img: '5.jpg',
        date: '23.01.2023'
    },
    {
        title: 'День фитнеса',
        text: 'Сегодня в спортивном зале состоялось мероприятие «День фитнеса» среди преподавателей и работников колледжа в рамках реализации корпоративной программы укрепления здоровья сотрудников краевого государственного бюджетного профессионального образовательного учреждения «Канский технологический колледж».\n' +
            'Мероприятие состояло из нескольких блоков: разминки, фитнес – аэробики, круговой кардиотренировки, суставной гимнастики «Помоги себе сам». Все участники мероприятия получили массу положительных эмоций и приятных впечатлений.\n' +
            'Спасибо участникам за то, что уделяют время здоровому образу жизни!',
        img: '6.jpg',
        date: '19.01.2023'
    },
]

$('.news__item-button').click(function (e) {
    e.preventDefault()
    console.log(1)
    let id = $(this).data('id')-1
    $('body').append(`
    <div class="modal">
    <div class="popup">
        <img src="assets/img/news/${posts[id].img}" loading="lazy" alt="" class="popup__image">
            <div class="popup__info">
                <h3 class="title popup__title">${posts[id].title}</h3>
                <span class="popup__date">${posts[id].date}</span>
                <p class="popup__text">
                   ${posts[id].text}</p>
                <button class="button button_blue popup__button">Закрыть</button>
            </div>
    </div>
</div>
    `)
    $('.popup__button').click(() => {
        $('.modal').remove()
    })
})